# eric7.Preferences.ConfigurationPages.EditorSpellCheckingPage

Module implementing the Editor Spellchecking configuration page.

### Global Attributes

None

### Classes

EditorSpellCheckingPage | Class implementing the Editor Spellchecking configuration page.

### Functions

create | Module function to create the configuration page.

## EditorSpellCheckingPage

Class implementing the Editor Spellchecking configuration page.

### Derived from

ConfigurationPageBase, Ui_EditorSpellCheckingPage

### Class Attributes

None

### Class Methods

None

### Methods

EditorSpellCheckingPage | Constructor
save | Public slot to save the Editor Search configuration.

### Static Methods

None

#### EditorSpellCheckingPage (Constructor)

EditorSpellCheckingPage()

Constructor

#### EditorSpellCheckingPage.save

save()

Public slot to save the Editor Search configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Return:
  reference to the instantiated page (ConfigurationPageBase)

Up